Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007287TestLinkReportspublic2015-10-08 06:462015-10-10 08:35
ReportermurielGenohm 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007287: Execution of report on too many entries fails
DescriptionWhen generating a report on too many entries it fails. In my case it failed for a testsuite containing 793 entries, but when doing it part by part for the "sub" testsuites it worked (493 and 300 each)

I don't get any error in the events, only warnings refering to /var/www/html/testlink-1.9.13/lib/functions/print.inc.php on lines :
-788 : E_NOTICE Undefined offset: 0
-818 : E_NOTICE Undefined index: d
Additional Informationdb size 14M
folder size 82 M
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0024102)
fman (administrator)
2015-10-08 12:47

1. 30 min test, because 1.9.14 has been released, is kindly requested:
1.a get 1.9.14
2. do fresh install
3. retest
4. provide feedback

if issue persist only way to work is to have a dbdump of your db
(0024103)
fman (administrator)
2015-10-08 12:48

it will be great to know also which is the offending report
(0024106)
murielGenohm (reporter)
2015-10-09 12:11

With the upgrade to 1.9.14 it works fine (at least for the few reports i tested).

It concerned test plan report and test report. both html and pseudo-word
(0024108)
fman (administrator)
2015-10-10 08:34

Always remember to do fresh install on test env (and read the CHANGELOF FILE), before reporting issues on older versions
(0024109)
fman (administrator)
2015-10-10 08:35

ATTENTION: reported DO NOT NEED TO MONITOR HIS/HER OWN ISSUES

- Issue History
Date Modified Username Field Change
2015-10-08 06:46 murielGenohm New Issue
2015-10-08 12:47 fman Note Added: 0024102
2015-10-08 12:47 fman Assigned To => fman
2015-10-08 12:47 fman Status new => feedback
2015-10-08 12:48 fman Note Added: 0024103
2015-10-09 12:11 murielGenohm Note Added: 0024106
2015-10-09 12:11 murielGenohm Status feedback => assigned
2015-10-10 08:34 fman Note Added: 0024108
2015-10-10 08:35 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-10-10 08:35 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-10-10 08:35 fman Note Added: 0024109
2015-10-10 08:35 fman Status assigned => closed
2015-10-10 08:35 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker